// 门店相关接口
import request from '@/utils/request';

// 获取经销商分类
export function listChainsByCategory(query) {
  return request({
    url: 'mobile/store/listChainsByCategory',
    method: 'get',
    params: query,
  });
}

// 门店~扩展经销商（经销商人员）
export function addStoreChainContact(data) {
  return request({
    url: 'mobile/store/addStoreChainContact',
    method: 'post',
    data,
  });
}

// 新增门店前校验门店是否重复接口
export function checkStoreBeforeAdd(data) {
  return request({
    url: 'mobile/store/checkStoreBeforeAdd',
    method: 'post',
    data,
  });
}

// 获取潜在客户类型接口
export function qzStoreCategory(query) {
  return request({
    url: 'mobile/store/qzStoreCategory',
    method: 'get',
    params: query,
  });
}

// 获取下级销售部接口
export function getChildDeptList(query) {
  return request({
    url: 'mobile/store/getChildDeptList',
    method: 'get',
    params: query,
  });
}

// 新增潜在客户接口
export function addQzStore(data) {
  return request({
    url: 'mobile/store/addQzStore',
    method: 'post',
    data,
  });
}

// 修改潜在客户接口
export function updateQzStore(data) {
  return request({
    url: 'mobile/store/updateQzStore',
    method: 'post',
    data,
  });
}
